edu.isi.pegasus.planner.dax

## Enum Executable.ARCH

- java.lang.Object
- - java.lang.Enum<Executable.ARCH>
  - - edu.isi.pegasus.planner.dax.Executable.ARCH

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Executable.ARCH>

Enclosing class:
  Executable

    public static enum Executable.ARCH
    extends java.lang.Enum<Executable.ARCH>

ARCH Types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ia64`
`IA64`
`ppc`
`PPC`
`ppc_64`
`PPC_64`
`sparcv7`
`SPARCV7`
`sparcv9`
`SPARCV9`
`x86`
`X86`
`x86_64`
`X86_64`

### Method Summary

All Methods Static Methods Concrete Methods
`static Executable.ARCH` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Executable.ARCH[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X86

    public static final Executable.ARCH X86

#### x86

    public static final Executable.ARCH x86

#### X86_64

    public static final Executable.ARCH X86_64

#### x86_64

    public static final Executable.ARCH x86_64

#### PPC

    public static final Executable.ARCH PPC

#### ppc

    public static final Executable.ARCH ppc

#### PPC_64

    public static final Executable.ARCH PPC_64

#### ppc_64

    public static final Executable.ARCH ppc_64

#### IA64

    public static final Executable.ARCH IA64

#### ia64

    public static final Executable.ARCH ia64

#### SPARCV7

    public static final Executable.ARCH SPARCV7

#### sparcv7

    public static final Executable.ARCH sparcv7

#### SPARCV9

    public static final Executable.ARCH SPARCV9

#### sparcv9

    public static final Executable.ARCH sparcv9

### Method Detail

#### values

    public static Executable.ARCH[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Executable.ARCH c : Executable.ARCH.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Executable.ARCH valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null